Bug 1710315 (CVE-2019-11328) - CVE-2019-11328 singularity: manipulation of file within run/singularity/instances/sing/<user>/<instance> leads to privilege escalation
Summary: CVE-2019-11328 singularity: manipulation of file within run/singularity/insta...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-11328
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1710316 1710317
Blocks: 1696499
TreeView+ depends on / blocked
 
Reported: 2019-05-15 10:16 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:55:33 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-05-15 10:16:40 UTC
An issue was discovered in Singularity 3.1.0 to 3.2.0-rc2, a malicious user with local/network access to the host system (e.g. ssh) could exploit this vulnerability due to insecure permissions allowing a user to edit files within `/run/singularity/instances/sing/<user>/<instance>`. The manipulation of those files can change the behavior of the starter-suid program when instances are joined resulting in potential privilege escalation on the host.

Reference:
https://github.com/sylabs/singularity/releases/tag/v3.2.0

Comment 1 Dhananjay Arunesh 2019-05-15 10:17:28 UTC
Created singularity tracking bugs for this issue:

Affects: fedora-all [bug 1710316]

Comment 2 Dhananjay Arunesh 2019-05-15 10:19:18 UTC
Created singularity tracking bugs for this issue:

Affects: epel-all [bug 1710317]

Comment 3 Product Security DevOps Team 2019-06-10 10:55:33 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.